## helma.objectmodel.dom
Class XmlUtil

    java.lang.Object
      helma.objectmodel.dom.XmlUtil

    public class XmlUtil

extends java.lang.Object

Constructor Summary
`XmlUtil()`

Method Summary
`static org.w3c.dom.Element` `getFirstElement(org.w3c.dom.Document document)` get first "real" element (ie not the document-rootelement, but the next one
`static java.lang.String` `getTextContent(org.w3c.dom.Node element)` return the text content of an element
`static org.w3c.dom.Document` `newDocument()`
`static org.w3c.dom.Document` `parse(org.xml.sax.InputSource in)`
`static org.w3c.dom.Document` `parse(java.io.InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlUtil

    public XmlUtil()

Method Detail

### newDocument

    public static org.w3c.dom.Document newDocument()

  Returns:
    ...

### parse

    public static org.w3c.dom.Document parse(java.io.InputStream in)
                                      throws java.lang.RuntimeException

  Parameters:
    `in` - ...
  Returns:
    ...
  Throws:
    `java.lang.RuntimeException` - ...

### parse

    public static org.w3c.dom.Document parse(org.xml.sax.InputSource in)
                                      throws java.lang.RuntimeException

  Parameters:
    `in` - ...
  Returns:
    ...
  Throws:
    `java.lang.RuntimeException` - ...

### getFirstElement

    public static org.w3c.dom.Element getFirstElement(org.w3c.dom.Document document)

  get first "real" element (ie not the document-rootelement, but the next one

### getTextContent

    public static java.lang.String getTextContent(org.w3c.dom.Node element)

  return the text content of an element

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.